libpst.so.4: pst_item_contact Struct Reference

Main Page | Alphabetical List | Data Structures | Directories | File List | Data Fields | Globals

# pst_item_contact Struct Reference

This contains the contact related mapi elements. More...

`#include <libpst/libpst.h>`

Collaboration diagram for pst_item_contact:

[legend]

## Data Fields
pst_string | account_name
| mapi element 0x3a00 PR_ACCOUNT
pst_string | address1
| mapi element 0x3003 PR_EMAIL_ADDRESS, or 0x8083
pst_string | address1a
| mapi element 0x8085
pst_string | address1_desc
| mapi element 0x8084
pst_string | address1_transport
| mapi element 0x3002 PR_ADDRTYPE, or 0x8082
pst_string | address2
| mapi element 0x8093
pst_string | address2a
| mapi element 0x8095
pst_string | address2_desc
| mapi element 0x8094
pst_string | address2_transport
| mapi element 0x8092
pst_string | address3
| mapi element 0x80a3
pst_string | address3a
| mapi element 0x80a5
pst_string | address3_desc
| mapi element 0x80a4
pst_string | address3_transport
| mapi element 0x80a2
pst_string | assistant_name
| mapi element 0x3a30 PR_ASSISTANT
pst_string | assistant_phone
| mapi element 0x3a2e PR_ASSISTANT_TELEPHONE_NUMBER
pst_string | billing_information
| mapi element 0x8535
FILETIME * | birthday
| mapi element 0x3a42 PR_BIRTHDAY
pst_string | business_address
| mapi element 0x801b
pst_string | business_city
| mapi element 0x3a27 PR_BUSINESS_ADDRESS_CITY
pst_string | business_country
| mapi element 0x3a26 PR_BUSINESS_ADDRESS_COUNTRY
pst_string | business_fax
| mapi element 0x3a24 PR_BUSINESS_FAX_NUMBER
pst_string | business_homepage
| mapi element 0x3a51 PR_BUSINESS_HOME_PAGE
pst_string | business_phone
| mapi element 0x3a08 PR_BUSINESS_TELEPHONE_NUMBER
pst_string | business_phone2
| mapi element 0x3a1b PR_BUSINESS2_TELEPHONE_NUMBER
pst_string | business_po_box
| mapi element 0x3a2b PR_BUSINESS_PO_BOX
pst_string | business_postal_code
| mapi element 0x3a2a PR_BUSINESS_POSTAL_CODE
pst_string | business_state
| mapi element 0x3a28 PR_BUSINESS_ADDRESS_STATE_OR_PROVINCE
pst_string | business_street
| mapi element 0x3a29 PR_BUSINESS_ADDRESS_STREET
pst_string | callback_phone
| mapi element 0x3a02 PR_CALLBACK_TELEPHONE_NUMBER
pst_string | car_phone
| mapi element 0x3a1e PR_CAR_TELEPHONE_NUMBER
pst_string | company_main_phone
| mapi element 0x3a57 PR_COMPANY_MAIN_PHONE_NUMBER
pst_string | company_name
| mapi element 0x3a16 PR_COMPANY_NAME
pst_string | computer_name
| mapi element 0x3a49 PR_COMPUTER_NETWORK_NAME
pst_string | customer_id
| mapi element 0x3a4a PR_CUSTOMER_ID
pst_string | def_postal_address
| mapi element 0x3a15 PR_POSTAL_ADDRESS
pst_string | department
| mapi element 0x3a18 PR_DEPARTMENT_NAME
pst_string | display_name_prefix
| mapi element 0x3a45 PR_DISPLAY_NAME_PREFIX
pst_string | first_name
| mapi element 0x3a06 PR_GIVEN_NAME
pst_string | followup
| mapi element 0x8530
pst_string | free_busy_address
| mapi element 0x80d8
pst_string | ftp_site
| mapi element 0x3a4c PR_FTP_SITE
pst_string | fullname
| mapi element 0x8005
int16_t | gender
| mapi element 0x3a4d PR_GENDER 0 unspecified 1 female 2 male
pst_string | gov_id
| mapi element 0x3a07 PR_GOVERNMENT_ID_NUMBER
pst_string | hobbies
| mapi element 0x3a43 PR_HOBBIES
pst_string | home_address
| mapi element 0x801a
pst_string | home_city
| mapi element 0x3a59 PR_HOME_ADDRESS_CITY
pst_string | home_country
| mapi element 0x3a5a PR_HOME_ADDRESS_COUNTRY
pst_string | home_fax
| mapi element 0x3a25 PR_HOME_FAX_NUMBER
pst_string | home_phone
| mapi element 0x3a09 PR_HOME_TELEPHONE_NUMBER
pst_string | home_phone2
| mapi element 0x3a2f PR_HOME2_TELEPHONE_NUMBER
pst_string | home_po_box
| mapi element 0x3a5e PR_HOME_ADDRESS_POST_OFFICE_BOX
pst_string | home_postal_code
| mapi element 0x3a5b PR_HOME_ADDRESS_POSTAL_CODE
pst_string | home_state
| mapi element 0x3a5c PR_HOME_ADDRESS_STATE_OR_PROVINCE
pst_string | home_street
| mapi element 0x3a5d PR_HOME_ADDRESS_STREET
pst_string | initials
| mapi element 0x3a0a PR_INITIALS
pst_string | isdn_phone
| mapi element 0x3a2d PR_ISDN_NUMBER
pst_string | job_title
| mapi element 0x3a17 PR_TITLE
pst_string | keyword
| mapi element 0x3a0b PR_KEYWORD
pst_string | language
| mapi element 0x3a0c PR_LANGUAGE
pst_string | location
| mapi element 0x3a0d PR_LOCATION
int | mail_permission
| mapi element 0x3a0e PR_MAIL_PERMISSION 1 true 0 false
pst_string | manager_name
| mapi element 0x3a4e PR_MANAGER_NAME
pst_string | middle_name
| mapi element 0x3a44 PR_MIDDLE_NAME
pst_string | mileage
| mapi element 0x8534
pst_string | mobile_phone
| mapi element 0x3a1c PR_MOBILE_TELEPHONE_NUMBER
pst_string | nickname
| mapi element 0x3a4f PR_NICKNAME
pst_string | office_loc
| mapi element 0x3a19 PR_OFFICE_LOCATION
pst_string | common_name
| mapi element 0x3a0f PR_MHS_COMMON_NAME
pst_string | org_id
| mapi element 0x3a10 PR_ORGANIZATIONAL_ID_NUMBER
pst_string | other_address
| mapi element 0x801c
pst_string | other_city
| mapi element 0x3a5f PR_OTHER_ADDRESS_CITY
pst_string | other_country
| mapi element 0x3a60 PR_OTHER_ADDRESS_COUNTRY
pst_string | other_phone
| mapi element 0x3a1f PR_OTHER_TELEPHONE_NUMBER
pst_string | other_po_box
| mapi element 0x3a64 PR_OTHER_ADDRESS_POST_OFFICE_BOX
pst_string | other_postal_code
| mapi element 0x3a61 PR_OTHER_ADDRESS_POSTAL_CODE
pst_string | other_state
| mapi element 0x3a62 PR_OTHER_ADDRESS_STATE_OR_PROVINCE
pst_string | other_street
| mapi element 0x3a63 PR_OTHER_ADDRESS_STREET
pst_string | pager_phone
| mapi element 0x3a21 PR_PAGER_TELEPHONE_NUMBER
pst_string | personal_homepage
| mapi element 0x3a50 PR_PERSONAL_HOME_PAGE
pst_string | pref_name
| mapi element 0x3a47 PR_PREFERRED_BY_NAME
pst_string | primary_fax
| mapi element 0x3a23 PR_PRIMARY_FAX_NUMBER
pst_string | primary_phone
| mapi element 0x3a1a PR_PRIMARY_TELEPHONE_NUMBER
pst_string | profession
| mapi element 0x3a46 PR_PROFESSION
pst_string | radio_phone
| mapi element 0x3a1d PR_RADIO_TELEPHONE_NUMBER
int | rich_text
| mapi element 0x3a40 PR_SEND_RICH_INFO 1 true 0 false
pst_string | spouse_name
| mapi element 0x3a48 PR_SPOUSE_NAME
pst_string | suffix
| mapi element 0x3a05 PR_GENERATION (Jr., Sr., III, etc)
pst_string | surname
| mapi element 0x3a11 PR_SURNAME
pst_string | telex
| mapi element 0x3a2c PR_TELEX_NUMBER
pst_string | transmittable_display_name
| mapi element 0x3a20 PR_TRANSMITTABLE_DISPLAY_NAME
pst_string | ttytdd_phone
| mapi element 0x3a4b PR_TTYTDD_PHONE_NUMBER
FILETIME * | wedding_anniversary
| mapi element 0x3a41 PR_WEDDING_ANNIVERSARY
pst_string | work_address_street
| mapi element 0x8045
pst_string | work_address_city
| mapi element 0x8046
pst_string | work_address_state
| mapi element 0x8047
pst_string | work_address_postalcode
| mapi element 0x8048
pst_string | work_address_country
| mapi element 0x8049
pst_string | work_address_postofficebox
| mapi element 0x804a

## Detailed Description

This contains the contact related mapi elements.

Definition at line 369 of file libpst.h.

## Field Documentation

pst_string pst_item_contact::account_name

| mapi element 0x3a00 PR_ACCOUNT Definition at line 371 of file libpst.h.

pst_string pst_item_contact::address1

| mapi element 0x3003 PR_EMAIL_ADDRESS, or 0x8083 Definition at line 373 of file libpst.h.

pst_string pst_item_contact::address1_desc

| mapi element 0x8084 Definition at line 377 of file libpst.h.

pst_string pst_item_contact::address1_transport

| mapi element 0x3002 PR_ADDRTYPE, or 0x8082 Definition at line 379 of file libpst.h.

pst_string pst_item_contact::address1a

| mapi element 0x8085 Definition at line 375 of file libpst.h.

pst_string pst_item_contact::address2

| mapi element 0x8093 Definition at line 381 of file libpst.h.

pst_string pst_item_contact::address2_desc

| mapi element 0x8094 Definition at line 385 of file libpst.h.

pst_string pst_item_contact::address2_transport

| mapi element 0x8092 Definition at line 387 of file libpst.h.

pst_string pst_item_contact::address2a

| mapi element 0x8095 Definition at line 383 of file libpst.h.

pst_string pst_item_contact::address3

| mapi element 0x80a3 Definition at line 389 of file libpst.h.

pst_string pst_item_contact::address3_desc

| mapi element 0x80a4 Definition at line 393 of file libpst.h.

pst_string pst_item_contact::address3_transport

| mapi element 0x80a2 Definition at line 395 of file libpst.h.

pst_string pst_item_contact::address3a

| mapi element 0x80a5 Definition at line 391 of file libpst.h.

pst_string pst_item_contact::assistant_name

| mapi element 0x3a30 PR_ASSISTANT Definition at line 397 of file libpst.h.

pst_string pst_item_contact::assistant_phone

| mapi element 0x3a2e PR_ASSISTANT_TELEPHONE_NUMBER Definition at line 399 of file libpst.h.

pst_string pst_item_contact::billing_information

| mapi element 0x8535 Definition at line 401 of file libpst.h.

FILETIME* pst_item_contact::birthday

| mapi element 0x3a42 PR_BIRTHDAY Definition at line 403 of file libpst.h.

pst_string pst_item_contact::business_address

| mapi element 0x801b Definition at line 405 of file libpst.h.

pst_string pst_item_contact::business_city

| mapi element 0x3a27 PR_BUSINESS_ADDRESS_CITY Definition at line 407 of file libpst.h.

pst_string pst_item_contact::business_country

| mapi element 0x3a26 PR_BUSINESS_ADDRESS_COUNTRY Definition at line 409 of file libpst.h.

pst_string pst_item_contact::business_fax

| mapi element 0x3a24 PR_BUSINESS_FAX_NUMBER Definition at line 411 of file libpst.h.

pst_string pst_item_contact::business_homepage

| mapi element 0x3a51 PR_BUSINESS_HOME_PAGE Definition at line 413 of file libpst.h.

pst_string pst_item_contact::business_phone

| mapi element 0x3a08 PR_BUSINESS_TELEPHONE_NUMBER Definition at line 415 of file libpst.h.

pst_string pst_item_contact::business_phone2

| mapi element 0x3a1b PR_BUSINESS2_TELEPHONE_NUMBER Definition at line 417 of file libpst.h.

pst_string pst_item_contact::business_po_box

| mapi element 0x3a2b PR_BUSINESS_PO_BOX Definition at line 419 of file libpst.h.

pst_string pst_item_contact::business_postal_code

| mapi element 0x3a2a PR_BUSINESS_POSTAL_CODE Definition at line 421 of file libpst.h.

pst_string pst_item_contact::business_state

| mapi element 0x3a28 PR_BUSINESS_ADDRESS_STATE_OR_PROVINCE Definition at line 423 of file libpst.h.

pst_string pst_item_contact::business_street

| mapi element 0x3a29 PR_BUSINESS_ADDRESS_STREET Definition at line 425 of file libpst.h.

pst_string pst_item_contact::callback_phone

| mapi element 0x3a02 PR_CALLBACK_TELEPHONE_NUMBER Definition at line 427 of file libpst.h.

pst_string pst_item_contact::car_phone

| mapi element 0x3a1e PR_CAR_TELEPHONE_NUMBER Definition at line 429 of file libpst.h.

pst_string pst_item_contact::common_name

| mapi element 0x3a0f PR_MHS_COMMON_NAME Definition at line 512 of file libpst.h.

pst_string pst_item_contact::company_main_phone

| mapi element 0x3a57 PR_COMPANY_MAIN_PHONE_NUMBER Definition at line 431 of file libpst.h.

pst_string pst_item_contact::company_name

| mapi element 0x3a16 PR_COMPANY_NAME Definition at line 433 of file libpst.h.

pst_string pst_item_contact::computer_name

| mapi element 0x3a49 PR_COMPUTER_NETWORK_NAME Definition at line 435 of file libpst.h.

pst_string pst_item_contact::customer_id

| mapi element 0x3a4a PR_CUSTOMER_ID Definition at line 437 of file libpst.h.

pst_string pst_item_contact::def_postal_address

| mapi element 0x3a15 PR_POSTAL_ADDRESS Definition at line 439 of file libpst.h.

pst_string pst_item_contact::department

| mapi element 0x3a18 PR_DEPARTMENT_NAME Definition at line 441 of file libpst.h.

pst_string pst_item_contact::display_name_prefix

| mapi element 0x3a45 PR_DISPLAY_NAME_PREFIX Definition at line 443 of file libpst.h.

pst_string pst_item_contact::first_name

| mapi element 0x3a06 PR_GIVEN_NAME Definition at line 445 of file libpst.h.

pst_string pst_item_contact::followup

| mapi element 0x8530 Definition at line 447 of file libpst.h.

pst_string pst_item_contact::free_busy_address

| mapi element 0x80d8 Definition at line 449 of file libpst.h.

pst_string pst_item_contact::ftp_site

| mapi element 0x3a4c PR_FTP_SITE Definition at line 451 of file libpst.h.

pst_string pst_item_contact::fullname

| mapi element 0x8005 Definition at line 453 of file libpst.h.

int16_t pst_item_contact::gender

| mapi element 0x3a4d PR_GENDER 0 unspecified 1 female 2 male Definition at line 458 of file libpst.h.

pst_string pst_item_contact::gov_id

| mapi element 0x3a07 PR_GOVERNMENT_ID_NUMBER Definition at line 460 of file libpst.h.

pst_string pst_item_contact::hobbies

| mapi element 0x3a43 PR_HOBBIES Definition at line 462 of file libpst.h.

pst_string pst_item_contact::home_address

| mapi element 0x801a Definition at line 464 of file libpst.h.

pst_string pst_item_contact::home_city

| mapi element 0x3a59 PR_HOME_ADDRESS_CITY Definition at line 466 of file libpst.h.

pst_string pst_item_contact::home_country

| mapi element 0x3a5a PR_HOME_ADDRESS_COUNTRY Definition at line 468 of file libpst.h.

pst_string pst_item_contact::home_fax

| mapi element 0x3a25 PR_HOME_FAX_NUMBER Definition at line 470 of file libpst.h.

pst_string pst_item_contact::home_phone

| mapi element 0x3a09 PR_HOME_TELEPHONE_NUMBER Definition at line 472 of file libpst.h.

pst_string pst_item_contact::home_phone2

| mapi element 0x3a2f PR_HOME2_TELEPHONE_NUMBER Definition at line 474 of file libpst.h.

pst_string pst_item_contact::home_po_box

| mapi element 0x3a5e PR_HOME_ADDRESS_POST_OFFICE_BOX Definition at line 476 of file libpst.h.

pst_string pst_item_contact::home_postal_code

| mapi element 0x3a5b PR_HOME_ADDRESS_POSTAL_CODE Definition at line 478 of file libpst.h.

pst_string pst_item_contact::home_state

| mapi element 0x3a5c PR_HOME_ADDRESS_STATE_OR_PROVINCE Definition at line 480 of file libpst.h.

pst_string pst_item_contact::home_street

| mapi element 0x3a5d PR_HOME_ADDRESS_STREET Definition at line 482 of file libpst.h.

pst_string pst_item_contact::initials

| mapi element 0x3a0a PR_INITIALS Definition at line 484 of file libpst.h.

pst_string pst_item_contact::isdn_phone

| mapi element 0x3a2d PR_ISDN_NUMBER Definition at line 486 of file libpst.h.

pst_string pst_item_contact::job_title

| mapi element 0x3a17 PR_TITLE Definition at line 488 of file libpst.h.

pst_string pst_item_contact::keyword

| mapi element 0x3a0b PR_KEYWORD Definition at line 490 of file libpst.h.

pst_string pst_item_contact::language

| mapi element 0x3a0c PR_LANGUAGE Definition at line 492 of file libpst.h.

pst_string pst_item_contact::location

| mapi element 0x3a0d PR_LOCATION Definition at line 494 of file libpst.h.

int pst_item_contact::mail_permission

| mapi element 0x3a0e PR_MAIL_PERMISSION 1 true 0 false Definition at line 498 of file libpst.h.

pst_string pst_item_contact::manager_name

| mapi element 0x3a4e PR_MANAGER_NAME Definition at line 500 of file libpst.h.

pst_string pst_item_contact::middle_name

| mapi element 0x3a44 PR_MIDDLE_NAME Definition at line 502 of file libpst.h.

pst_string pst_item_contact::mileage

| mapi element 0x8534 Definition at line 504 of file libpst.h.

pst_string pst_item_contact::mobile_phone

| mapi element 0x3a1c PR_MOBILE_TELEPHONE_NUMBER Definition at line 506 of file libpst.h.

pst_string pst_item_contact::nickname

| mapi element 0x3a4f PR_NICKNAME Definition at line 508 of file libpst.h.

pst_string pst_item_contact::office_loc

| mapi element 0x3a19 PR_OFFICE_LOCATION Definition at line 510 of file libpst.h.

pst_string pst_item_contact::org_id

| mapi element 0x3a10 PR_ORGANIZATIONAL_ID_NUMBER Definition at line 514 of file libpst.h.

pst_string pst_item_contact::other_address

| mapi element 0x801c Definition at line 516 of file libpst.h.

pst_string pst_item_contact::other_city

| mapi element 0x3a5f PR_OTHER_ADDRESS_CITY Definition at line 518 of file libpst.h.

pst_string pst_item_contact::other_country

| mapi element 0x3a60 PR_OTHER_ADDRESS_COUNTRY Definition at line 520 of file libpst.h.

pst_string pst_item_contact::other_phone

| mapi element 0x3a1f PR_OTHER_TELEPHONE_NUMBER Definition at line 522 of file libpst.h.

pst_string pst_item_contact::other_po_box

| mapi element 0x3a64 PR_OTHER_ADDRESS_POST_OFFICE_BOX Definition at line 524 of file libpst.h.

pst_string pst_item_contact::other_postal_code

| mapi element 0x3a61 PR_OTHER_ADDRESS_POSTAL_CODE Definition at line 526 of file libpst.h.

pst_string pst_item_contact::other_state

| mapi element 0x3a62 PR_OTHER_ADDRESS_STATE_OR_PROVINCE Definition at line 528 of file libpst.h.

pst_string pst_item_contact::other_street

| mapi element 0x3a63 PR_OTHER_ADDRESS_STREET Definition at line 530 of file libpst.h.

pst_string pst_item_contact::pager_phone

| mapi element 0x3a21 PR_PAGER_TELEPHONE_NUMBER Definition at line 532 of file libpst.h.

pst_string pst_item_contact::personal_homepage

| mapi element 0x3a50 PR_PERSONAL_HOME_PAGE Definition at line 534 of file libpst.h.

pst_string pst_item_contact::pref_name

| mapi element 0x3a47 PR_PREFERRED_BY_NAME Definition at line 536 of file libpst.h.

pst_string pst_item_contact::primary_fax

| mapi element 0x3a23 PR_PRIMARY_FAX_NUMBER Definition at line 538 of file libpst.h.

pst_string pst_item_contact::primary_phone

| mapi element 0x3a1a PR_PRIMARY_TELEPHONE_NUMBER Definition at line 540 of file libpst.h.

pst_string pst_item_contact::profession

| mapi element 0x3a46 PR_PROFESSION Definition at line 542 of file libpst.h.

pst_string pst_item_contact::radio_phone

| mapi element 0x3a1d PR_RADIO_TELEPHONE_NUMBER Definition at line 544 of file libpst.h.

int pst_item_contact::rich_text

| mapi element 0x3a40 PR_SEND_RICH_INFO 1 true 0 false Definition at line 548 of file libpst.h.

pst_string pst_item_contact::spouse_name

| mapi element 0x3a48 PR_SPOUSE_NAME Definition at line 550 of file libpst.h.

pst_string pst_item_contact::suffix

| mapi element 0x3a05 PR_GENERATION (Jr., Sr., III, etc) Definition at line 552 of file libpst.h.

pst_string pst_item_contact::surname

| mapi element 0x3a11 PR_SURNAME Definition at line 554 of file libpst.h.

pst_string pst_item_contact::telex

| mapi element 0x3a2c PR_TELEX_NUMBER Definition at line 556 of file libpst.h.

pst_string pst_item_contact::transmittable_display_name

| mapi element 0x3a20 PR_TRANSMITTABLE_DISPLAY_NAME Definition at line 558 of file libpst.h.

pst_string pst_item_contact::ttytdd_phone

| mapi element 0x3a4b PR_TTYTDD_PHONE_NUMBER Definition at line 560 of file libpst.h.

FILETIME* pst_item_contact::wedding_anniversary

| mapi element 0x3a41 PR_WEDDING_ANNIVERSARY Definition at line 562 of file libpst.h.

pst_string pst_item_contact::work_address_city

| mapi element 0x8046 Definition at line 566 of file libpst.h.

pst_string pst_item_contact::work_address_country

| mapi element 0x8049 Definition at line 572 of file libpst.h.

pst_string pst_item_contact::work_address_postalcode

| mapi element 0x8048 Definition at line 570 of file libpst.h.

pst_string pst_item_contact::work_address_postofficebox

| mapi element 0x804a Definition at line 574 of file libpst.h.

pst_string pst_item_contact::work_address_state

| mapi element 0x8047 Definition at line 568 of file libpst.h.

pst_string pst_item_contact::work_address_street

| mapi element 0x8045 Definition at line 564 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h